@echo off
rem *******************************************************************************
rem  Copyright (c) 2005, 2007 IBM Corporation and others.
rem  All rights reserved. This program and the accompanying materials
rem  are made available under the terms of the Eclipse Public License v1.0
rem  which accompanies this distribution, and is available at
rem  http://www.eclipse.org/legal/epl-v10.html
rem 
rem  Contributors:
rem      IBM Corporation - initial API and implementation
rem *******************************************************************************
setlocal

REM *********** Local envars ***************************

REM The JRE java.exe to be used by Ant.  Note: for WTP 2.0 the JDK needs to be 1.5 or higher.
set JAVAEXE="%RAD75_JAVA_HOME%\bin\java.exe"

REM The Eclipse install directory.  Some Eclipse based products may refer to this directory
REM as the non shared directory.
set INSTALL_DIRECTORY="%RAD75_INSTALL%"

REM The Eclipse Equinox Launcher jar.  Usually this plugin jar file is located in the
REM shared plugin directory(ie. plugins\org.eclipse.equinox.launcher*.jar )
set LAUNCHER_JAR="%RAD75_LAUNCHER%"

REM The location of your workspace
set WORKSPACE="%~1"

REM The wsgen.xml file specifying the input properties file for the Web service ant task.
set WSGEN_XML="%~2"

@SHIFT
@SHIFT

@set RARGS=
:Loop
IF "%~1"=="" GOTO Continue
set RARGS=%RARGS% %1
SHIFT
GOTO Loop
:Continue

REM ****************************************************

if not exist %JAVAEXE% echo ERROR: incorrect java.exe=%JAVAEXE%, edit this file and correct the JAVAEXE envar
if not exist %JAVAEXE% goto done

if not exist %LAUNCHER_JAR% echo ERROR: incorrect launcher jar=%LAUNCHER_JAR%, edit this file and correct the LAUNCHER_JAR envar
if not exist %LAUNCHER_JAR% goto done

:run
@echo on
%JAVAEXE% -jar %LAUNCHER_JAR% -install %INSTALL_DIRECTORY% -application org.eclipse.ant.core.antRunner -data %WORKSPACE% -file %WSGEN_XML% %RARGS% >wsgen.txt 2>&1

:done
pause

:EXIT
